<?php
/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

/// Check if a user exists
/** Check if a user exists in the server's user table.

    @param $user user name to check
    @return json encoded value:
      - 'user name as string', if user does exist
      - null, if user does not exist or in case of error

    @api Check If User Exists
*/
function checknewuser($user) {
  try {
    require_once("opendb.php");
    $dbuser = $db->real_escape_string($user);
    $q = $db->query("select * from user where name='$dbuser';");
    if ($q->num_rows==0) {
      echo json_encode($user);
    } else {
      echo json_encode(null);
    }
  } catch (Exception $e) {
    echo json_encode(null);
  }
}
checknewuser($_REQUEST['user']);
?>